import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {LecturerRootComponent} from 'src/app/LecturerComponents/lecturer-root.component';
import {LecturerPaperViewComponent} from 'src/app/LecturerComponents/LecturerPaperView/lecturer-paper-view.component';
import {LecturerSubmissionsViewComponent} from 'src/app/LecturerComponents/LecturerSubmissionsView/lecturer-submissions-view.component';
import {LecturerResponseViewComponent} from 'src/app/LecturerComponents/LecturerResponseView/lecturer-response-view.component';
import {LecturerCreateOmpViewComponent} from 'src/app/LecturerComponents/LecturerCreateOMPView/lecturer-create-omp-view.component';
import {LecturerTemplateViewComponent} from 'src/app/LecturerComponents/LecturerTemplateView/lecturer-template-view.component';
import {LecturerEditTemplateViewComponent} from 'src/app/LecturerComponents/LecturerEditTemplateView/lecturer-edit-template-view.component';
import {LecturerViewPaperComponent} from 'src/app/LecturerComponents/ViewPaperComponents/lecturer-view-paper.component';
import {LoginGuardService} from 'src/app/services/login-guard.service';
import {LecturerAnalysisViewComponent} from 'src/app/LecturerComponents/LecturerAnalysisView/lecturer-analysis-view.component';


const lecturerRoutes = [
  { path: 'ldashboard', component: LecturerRootComponent, canActivate: [LoginGuardService]},
  { path: 'paper-view', component: LecturerPaperViewComponent, canActivate: [LoginGuardService]},
  { path: 'submissions-view', component: LecturerSubmissionsViewComponent, canActivate: [LoginGuardService]},
  { path: 'response-view', component: LecturerResponseViewComponent, canActivate: [LoginGuardService]},
  { path: 'creation-view', component: LecturerCreateOmpViewComponent, canActivate: [LoginGuardService]},
  { path: 'creation-template-view', component: LecturerCreateOmpViewComponent, canActivate: [LoginGuardService]},
  { path: 'template-view', component:   LecturerTemplateViewComponent, canActivate: [LoginGuardService]},
  { path: 'view-paper', component:   LecturerViewPaperComponent, canActivate: [LoginGuardService]},
  { path: 'edit-template-view', component:   LecturerEditTemplateViewComponent, canActivate: [LoginGuardService]},
  { path: 'analysis-view', component:   LecturerAnalysisViewComponent, canActivate: [LoginGuardService]}
];

@NgModule({
  imports: [
    RouterModule.forChild(lecturerRoutes)
  ],
  exports: [
    RouterModule
  ]
})
export class LecturerRoutesModule {
}
